FUNCTION define_L2TOGA,PARASOL=parasol
; Definition of directional products
Nu_par = 99  ;  Nombre
N = 0
U_par = replicate({parametre},Nu_par) 
U_par[N] = {parametre,'Solar Zenith'  , 2,17,'deg.'   ,0.1  ,0.    ,  0,0,0} & N=N+1
;U_par[N] = {parametre,'Solar Azim'    , 1,19,'deg.'   ,1.42 ,0.    ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Numb. Dir.'    , 1,20,'no unit',1.   ,0.    ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Aerosol mod. #', 2,21,'no unit',0.05 ,1.    ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Angstrom coef.', 1,23,'no unit',0.01 ,-0.5  ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Aer. Opt. Thi.', 1,24,'no unit',0.005,0.    ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Single Scat. A', 1,25,'no unit',0.005,0.    ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Foam reflec.'  , 1,26,'%'      ,0.1  ,-1.   ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Conf. Index'   , 1,27,'no unit',1.   ,0.    ,  0,0,0} & N=N+1
;U_par[N] = {parametre,'TIC/TIL'       , 2,28,'no unit',1.   ,0.    ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Ozone column'  , 1,30,'cm.atm' ,3.   ,100.  ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Surf Wind Spd' , 1,31,'m.s-1'  ,0.1  ,0.    ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Surf Pressure' , 1,32,'hPa'    ,1.   ,940.  ,  0,0,0} & N=N+1
Nu_par = N  
U_par = U_par[0:N-1]
;--------------------------------------------------------------------------------
 ; Definition of directional products
Nd_par = 99   ;  Number of directional products
D_par = replicate({parametre},Nd_par)
N = 0
;D_par[N] = {parametre,'View Zenith'   , 2, 0,'deg.',1.E-1, 0.   ,  0,0,0} & N=N+1
;D_par[N] = {parametre,'Relative Azim.', 2, 2,'deg.',2.E-1, 0.   ,  0,0,0} & N=N+1
;D_par[N] = {parametre,'Scater. Angle ', 2, 4,'deg.',2.E-1, 0.   ,  0,0,0} & N=N+1
D_par[N] = {parametre,'Water Ref. 443', 2, 6,'%'   ,2.E-2,-1.   ,  0,0,0} & N=N+1 & N1=N-1
D_par[N] = {parametre,'Water Ref. 490', 2, 8,'%'   ,2.E-2,-1.   ,  0,0,0} & N=N+1 & N2=N-1
D_par[N] = {parametre,'Water Ref. 565', 2,10,'%'   ,2.E-2,-1.   ,  0,0,0} & N=N+1 & N3=N-1
D_par[N] = {parametre,'Water Ref. 670', 2,12,'%'   ,2.E-2,-1.   ,  0,0,0} & N=N+1
D_par[N] = {parametre,'Aer. Ref. Cor.', 1,14,'%'   ,4.E-1,-1.   ,  0,0,0} & N=N+1
Nd_par = N  
D_par = D_par[0:N-1]
;D_par = A
;--------------------------------------------------------------------------------
; Dfinition des combinaisons non-directionnels
Nc_par = 0    ;  Number of Multi-parameter non directional
C_par = {combi}
;--------------------------------------------------------------------------------
 ; Definition of directional products
Ncd_par = 1    ;  Number of Multi-parameter non directional
Cd_par = replicate({combi},Ncd_par)
Cd_par[0] = {combi,'CompColor VIS'  ,N3,N2,N1}
;
IF parasol THEN $
  product={type:'L2TOGA',resol:18,Nbyte_tot:273,Nbyte_nd:33,Nbyte_d:15,Nu_par:Nu_par,U_par:U_par,Nd_par:Nd_par,D_par:D_par,$
           Nc_par:Nc_par,C_par:C_par,Ncd_par:Ncd_par,Cd_par:Cd_par} $
ELSE $
  product={type:'L2TOGA',resol:18,Nbyte_tot:243,Nbyte_nd:33,Nbyte_d:15,Nu_par:Nu_par,U_par:U_par,Nd_par:Nd_par,D_par:D_par,$
           Nc_par:Nc_par,C_par:C_par,Ncd_par:Ncd_par,Cd_par:Cd_par}
 
RETURN,product
END