FUNCTION define_L3TLGA,PARASOL=parasol
; Dfinition des parametres non directionnels
Nu_par = 99  ;  Nombre
N = 0
U_par = replicate({parametre},Nu_par) ; Definition of Un directional products
U_par[ N] = {parametre,'Altitude'      ,-2,10,'meters' ,1.,0.,  0,0,0} & N=N+1
U_par[ N] = {parametre,'Sol. Zen. Ang.', 1,29,'deg.'   ,0.5,0., 0,0,0} & N=N+1
U_par[ N] = {parametre,'K0 443 nm'     , 2,30,'%',0.1  ,-100.,  0,0,0} & N=N+1 & IF parasol THEN U_par[N-1].name='K0 490 nm'
U_par[ N] = {parametre,'K1 443 nm'     , 2,32,'%',0.1  ,-100.,  0,0,0} & N=N+1 & IF parasol THEN U_par[N-1].name='K1 490 nm'
U_par[ N] = {parametre,'K2 443 nm'     , 2,34,'%',0.1  ,-100.,  0,0,0} & N=N+1 & IF parasol THEN U_par[N-1].name='K2 490 nm'
U_par[ N] = {parametre,'K0 565 nm'     , 2,42,'%',0.1  ,-100.,  0,0,0} & N=N+1 & N1=N-1
U_par[ N] = {parametre,'K1 565 nm'     , 2,44,'%',0.1  ,-100.,  0,0,0} & N=N+1 & N2=N-1
U_par[ N] = {parametre,'K2 565 nm'     , 2,46,'%',0.1  ,-100.,  0,0,0} & N=N+1 & N3=N-1
U_par[ N] = {parametre,'K0 670 nm'     , 2,54,'%',0.1  ,-100.,  0,0,0} & N=N+1 & N4=N-1
U_par[ N] = {parametre,'K1 670 nm'     , 2,56,'%',0.1  ,-100.,  0,0,0} & N=N+1 & N5=N-1
U_par[ N] = {parametre,'K2 670 nm'     , 2,58,'%',0.1  ,-100.,  0,0,0} & N=N+1 & N6=N-1
U_par[ N] = {parametre,'K0 765 nm'     , 2,66,'%',0.1  ,-100.,  0,0,0} & N=N+1
U_par[ N] = {parametre,'K1 765 nm'     , 2,68,'%',0.1  ,-100.,  0,0,0} & N=N+1
U_par[ N] = {parametre,'K2 765 nm'     , 2,70,'%',0.1  ,-100.,  0,0,0} & N=N+1
U_par[ N] = {parametre,'K0 865 nm'     , 2,78,'%',0.1  ,-100.,  0,0,0} & N=N+1 & N7=N-1
U_par[ N] = {parametre,'K1 865 nm'     , 2,80,'%',0.1  ,-100.,  0,0,0} & N=N+1 & N8=N-1
U_par[ N] = {parametre,'K2 865 nm'     , 2,82,'%',0.1  ,-100.,  0,0,0} & N=N+1 & N9=N-1
U_par[ N] = {parametre,'errK0 443 nm'  , 2,36,'%',0.1  ,   0.,  0,0,0} & N=N+1 & IF parasol THEN U_par[N-1].name='errK0 490 nm'
U_par[ N] = {parametre,'errK1 443 nm'  , 2,38,'%',0.1  ,   0.,  0,0,0} & N=N+1 & IF parasol THEN U_par[N-1].name='errK1 490 nm'
U_par[ N] = {parametre,'errK2 443 nm'  , 2,40,'%',0.1  ,   0.,  0,0,0} & N=N+1 & IF parasol THEN U_par[N-1].name='errK2 490 nm'
U_par[ N] = {parametre,'errK0 565 nm'  , 2,48,'%',0.1  ,   0.,  0,0,0} & N=N+1
U_par[ N] = {parametre,'errK1 565 nm'  , 2,50,'%',0.1  ,   0.,  0,0,0} & N=N+1
U_par[ N] = {parametre,'errK2 565 nm'  , 2,52,'%',0.1  ,   0.,  0,0,0} & N=N+1
U_par[ N] = {parametre,'errK0 670 nm'  , 2,60,'%',0.1  ,   0.,  0,0,0} & N=N+1
U_par[ N] = {parametre,'errK1 670 nm'  , 2,62,'%',0.1  ,   0.,  0,0,0} & N=N+1
U_par[ N] = {parametre,'errK2 670 nm'  , 2,64,'%',0.1  ,   0.,  0,0,0} & N=N+1
U_par[ N] = {parametre,'errK0 765 nm'  , 2,72,'%',0.1  ,   0.,  0,0,0} & N=N+1
U_par[ N] = {parametre,'errK1 765 nm'  , 2,74,'%',0.1  ,   0.,  0,0,0} & N=N+1
U_par[ N] = {parametre,'errK2 765 nm'  , 2,76,'%',0.1  ,   0.,  0,0,0} & N=N+1
U_par[ N] = {parametre,'errK0 865 nm'  , 2,84,'%',0.1  ,   0.,  0,0,0} & N=N+1
U_par[ N] = {parametre,'errK1 865 nm'  , 2,86,'%',0.1  ,   0.,  0,0,0} & N=N+1
U_par[ N] = {parametre,'errK2 865 nm'  , 2,88,'%',0.1  ,   0.,  0,0,0} & N=N+1
Nu_par = N  
U_par = U_par[0:N-1]

;--------------------------------------------------------------------------------
; Dfinition des parametres directionnels
Nd_par = 0   ;  Number of directional products
D_par = {parametre}
;--------------------------------------------------------------------------------
; Dfinition des combinaisons non-directionnels
Nc_par = 3    ;  Number of Multi-parameter non directional
C_par = replicate({combi},Nc_par)
C_par[0] = {combi,'CompColor K0'  ,N7,N4,N1}
C_par[1] = {combi,'CompColor K1'  ,N8,N5,N2}
C_par[2] = {combi,'CompColor K2'  ,N9,N6,N3}
;--------------------------------------------------------------------------------
; Dfinition des combinaisons "directionnel"
Ncd_par = 0    ;  Number of Multi-parameter non directional
Cd_par = {combi}
;
product={type:'L3TLGA',resol:18,Nbyte_tot:90,Nbyte_nd:90,Nbyte_d:0,Nu_par:Nu_par,U_par:U_par,Nd_par:Nd_par,D_par:D_par,$
         Nc_par:Nc_par,C_par:C_par,Ncd_par:Ncd_par,Cd_par:Cd_par}
RETURN,product
END
